package org.fsou.common;

/**
 * Utility class implementing miscellaneous string operations.
 * @author Alexander Yevstafyev
 * @version 1.0.0
 */
public class StringUtil {

	/**
	 * Takes string and replaces all entries of given substring, with another one. 
	 * @param s Original string
	 * @param from Non-empty substring to be replaced
	 * @param to New substring replacing old one
	 * @return Modified original string
	 */
	static public String replace(String s, String from, String to) {
		
		if (from.equals("")) {
			throw new IllegalArgumentException();
		}
		
		for (int offset=0; true; ) {
			int index = s.indexOf(from, offset);
			if (index==-1) {
				break;
			}
			s = s.substring(0, index)+to+s.substring(index+from.length());
			offset = index+to.length();
		}
		
		return s;
	}
}