package org.fsou.namematch;

/**
 * Represents a result of matching of two names.
 * @author Alexander Yevstafyev
 * @version 1.0.0
 * @see INameMatcher
 */
public interface IMatchResult {
	
	/**
	 * @return Relevance of two names in range from 0 to 1
	 */
	float getRelevance();
	
	/**
	 * @return If matcher doubts of it's relevance estimation
	 */
	boolean isDoubtful();
}