package org.fsou.namematch;

/**
 * Trivial implementation of result of matching of two names.
 * @author Alexander Yevstafyev
 * @version 1.0.0
 */
public class MatchResult implements IMatchResult {
	
	private float relevance = 0;
	private boolean doubtful = false;
	
	/**
	 * @param relevance Relevance value
	 * @param doubtful If relevance is doubtful
	 */
	public MatchResult(float relevance, boolean doubtful) {
		this.relevance = relevance;
		this.doubtful = doubtful;
	}

	/**
	 * @param relevance Reliable relevance value
	 */
	public MatchResult(float relevance) {
		this(relevance, false);
	}

    public float getRelevance() {
    	return relevance;
    }

    public boolean isDoubtful() {
    	return doubtful;
    }
}